Bug 214696 - at-spi breaks thunderbird x-remote session
at-spi breaks thunderbird x-remote session
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: at-spi (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-08 16:28 EST by John Ellson
Modified: 2008-05-06 20:59 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:59:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
crash related to problem with at-spi (9.75 KB, text/plain)
2007-01-10 20:58 EST, Jim Cornette
no flags Details

  None (edit)
Description John Ellson 2006-11-08 16:28:42 EST
Description of problem:
Running thunderbird on a remote system over ssh with x-display remoted to the
local system, ceased to work after today's at-spi update.  Both systems are i386
updated to today's Rawhide.

Downgrading to at-spi-1.7.12-1.fc7 on the remote system only, fixes the problem.

Version-Release number of selected component (if applicable):
at-spi-1.7.13-1.fc7

How reproducible:
100%

Steps to Reproduce:
1. (on terminal connected to remote system by ssh)
thunderbird -debug
(without -debug or other switch it just fails silently)
2.
3.
  
Actual results:
ellson@ellson:~> thunderbird -debug
Warning: unrecognized command line flag -debug

** (Gecko:2676): CRITICAL **: AT_SPI_REGISTRY was not started at session startup.

** (Gecko:2676): WARNING **: IOR not set.

** ERROR **: Could not locate registry
aborting...
/usr/lib/thunderbird-1.5.0.7/run-mozilla.sh: line 131:  2676 Aborted           
     "$prog" ${1+"$@"}


Expected results:
normal thunderbird session

Additional info:
Comment 1 Jochen Schlick 2006-11-10 08:39:37 EST

- current seamonkey versions (current + older nightly builds, current beta built
from source tarball) have the same problem and die with exactly the same output.
- seamonkey doesn't need to be started on a remote system. This all happens
directly on my i386 rawhide host (no ssh, no x11-forwarding).

Comment 2 Yanko Kaneti 2006-11-10 11:12:52 EST
At least here it also breaks every gnome app
Had to 
$ gconftool-2 -t bool -s  /desktop/gnome/interface/accessibility false
because gnome-at-properties wasn't working either.
Comment 3 Steve Brown 2006-11-10 21:10:57 EST
Same symptoms here.  When I try to stop the service in gnome-at-properties, it
runs the command /usr/bin/orca --stop.  On stdout I get:

/usr/bin/orca: line 88: 13048 Killed                  /usr/bin/python -c "import
orca.orca; orca.orca.main()" "$ARGS"

But then gnome-at-properties also quickly spawns a gnome-terminal with this,
then closes the terminal:
$ /bin/bash /usr/bin/orca --stop
Traceback (most recent call last):
  File "<string>", line 1, in ?
  File "/usr/lib/python2.4/site-packages/orca/orca.py", line 1271, in main
    shutdown()
  File "/usr/lib/python2.4/site-packages/orca/orca.py", line 1082, in shutdown
    registry.stop()
  File "/usr/lib/python2.4/site-packages/orca/atspi.py", line 189, in stop
    bonobo.main_quit()
RuntimeError: not running a bonobo main loop


Not sure if this is relevant.
Comment 4 Jochen Schlick 2006-11-12 08:26:04 EST
For seamonkey:
Downgrading to at-spi-1.7.11-2.fc6.i386.rpm fixes the problem at least partly.
The problem with seamonkey is now that it eats all memory after several hours
until the oom-killer takes action. but I think this is another story.
Comment 5 Jim Cornette 2007-01-10 20:52:29 EST
The latest version of at-spi is effecting a host of problems where some
applications crash and launch bug-buddy on exit. There is a patch in the
upstream bug http://bugzilla.gnome.org/show_bug.cgi?id=364839 that has a patch
from the developer that is supposed to correct the error.
I'm attaching a dump from bug buddy for an instance where assistive Tecnology
preferences crashed on exit. 
Comment 6 Jim Cornette 2007-01-10 20:58:16 EST
Created attachment 145306 [details]
crash related to problem with at-spi

Downgrading at-spi to the FC6 released version allows
system/preferences/keyboad to close successfully. The lvm manager launches bug
buddy on exit also with the latest at-spi installed. I just tried the
application and the Logical Volume manager no longer crashed.
Read the upstream bug report for instances where many programs are effected
badly before the patch is applied.
Comment 7 Jim Cornette 2007-02-05 18:02:54 EST
Leaving bug report thast is still marked as new. This bug was resolved upstream
Comment 8 Bug Zapper 2008-04-03 14:36:04 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 9 Bug Zapper 2008-05-06 20:59:11 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.